commit 891ee48e4c1baa2643eda048b4207f8263a37dca
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Mon Jan 19 11:23:50 2015 +0100

    vmware: Bump version number for release
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>

commit 79289b0ffc553ded902eea7b8b9803b098f340e3
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Dec 4 10:35:04 2014 -0500

    saa: Adapt to GC client clip changes in xserver 1.17
    
    1.17 always stores the client clip as a region, so there's no longer a
    clientClipType member to look at.  Change the code to just inspect
    whether the clientClip is non-null, since that works both before and
    after 1.17.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>
    Reviewed-by: Thomas Hellstrom <thellstrom@vmware.com>

commit 4664412d7a5266d2b392957406b34abc5db95e48
Author: Stefan Dirsch <sndirsch@suse.de>
Date:   Tue Oct 7 11:29:32 2014 +0200

    xf86xv.h cannot be included without first including xorg-server.h.
    
    Without this the build fails on systems with the latest glibc,
    throwing this error:
    
    In file included from /usr/include/string.h:634:0,
                     from /usr/include/xorg/os.h:53,
                     from /usr/include/xorg/misc.h:115,
                     from /usr/include/xorg/screenint.h:50,
                     from /usr/include/xorg/scrnintstr.h:50,
                     from /usr/include/xorg/xvdix.h:55,
                     from /usr/include/xorg/xf86xv.h:32,
                     from vmwgfx_overlay.c:38:
    /usr/include/xorg/os.h:579:1: error: expected identifier or '(' before '__extension__'
    strndup(const char *str, size_t n);
    
    This is caused by HAVE_STRNDUP not being set (it is set from xorg-server.h),
    causing os.h to redefine it.
    
    Signed-off-by: Stefan Dirsch <sndirsch@suse.de>
    Reviewed-by: Daniel Stone <daniels@collabora.com>
    Acked-by: Thomas Hellstrom <thellstrom@vmware.com>

commit 8e1c4e5bd521ec2d4f1a21da432f110c606b3fde
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Mon Sep 22 12:09:13 2014 +0200

    vmware/saa: Fix saa_check_poly_fill_rect_noreadback v2
    
    We were not clipping the dirty region correctly, Fix this.
    Also actually do what the comment in the function says: If there are more than
    an ad-hoc number of rectangles to read back, then revert to the default
    saa_check_poly_fill_rect function that reads back the whole damage region.
    
    v2: Fix commit log message.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Brian Paul <brianp@vmware.com>
    Reviewed-by: Sinclair Yeh <syeh@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit c23fd33d8ce8491891255d93c04e053bf333bd4e
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Mon Sep 22 11:43:02 2014 +0200

    vmware/saa: Fix saa_check_copy_window dirty region v3
    
    The saa_check_copy_window could dirty regions that were never touched, since
    we were using the X server provided damage region rather than the more
    detailed region actually copied. This would have been OK if we had first done
    a read-back of the region to be dirtied, but since we want to avoid that,
    instead compute the detailed destination region and use that for dirtying.
    
    This fixes rendering glitches seen with motif applications.
    
    v2: Fix whitespace error.
    v3: Move dirty region computation.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Brian Paul <brianp@vmware.com>
    Reviewed-by: Sinclair Yeh <syeh@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit f86434ac69bd288c7fba65d178c22a91a0f4f6c2
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Mon Sep 15 15:13:53 2014 +0200

    Revert "vmware/saa: Disable the noreadback polyfillrect optimization"
    
    This reverts commit 88c487cb19aaf2882d582f7f887a52935ef8d92e.
    
    While the commit made the rendering artefacts less frequent, they didn't
    disappear completely and are likely caused by something else, so revert this
    commit.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Acked-by: Sinclair Yeh <syeh@vmware.com>

commit 8545a166931617af0d2a9ca8175fd8b11c67e246
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Tue Sep 9 01:59:07 2014 -0700

    vmware/vmwgfx: Fix cursor problem with multimon
    
    In a multimon environment, the cursor would sometimes disappear on the
    newly enabled screen. Fix this.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit 32562129750077a23f26f2e69adc8403eb24bf3f
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Wed Sep 3 07:08:41 2014 -0700

    vmware/vmwgfx: Don't add pixmaps to the pixmap list if they're already on it
    
    This could cause loops through the list to spin indefinitely.
    This would most likely occur at VT switches.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit 8b6316a312689d83ca8f8de939698bc137206f58
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Thu Aug 28 15:32:45 2014 +0200

    vmware/legacy: Fix overlay related compile breakage on earlier X servers
    
    Introduced by commit:
    vmware/legacy: Apply same fix to auto colrkey fill
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit 8a47e9a45036005d46a60cf8df366baffcb9a8d1
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Thu Aug 28 13:43:03 2014 +0200

    vmware: Fix bootstrap related compile errors on earlier X servers
    
    Introduced by commit
    Add support for XSERVER_PLATFORM_BUS
    
    Note that the vmware DriverRec declaration can be cleaned up
    considerably using C99 designated initializers. Perhaps something for
    the next release...
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit f5d8c8f1fe2de727018600f471b6a8829fe492ad
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Wed Aug 20 13:02:58 2014 +0200

    vmware: Clear the PITCHLOCK register if available before modeset
    
    In some situations the fbdev driver may have set this register before legacy
    driver startup causing a weird-looking desktop. Make sure this register
    is cleared on each modeset.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit b1697434348799b0808a6c9e9a899394075b980c
Author: Jakob Bornecrantz <jakob@vmware.com>
Date:   Thu Aug 14 16:42:05 2014 +0200

    vmware/legacy: Fix out of bound array indexing
    
    Spotted by coverity.
    
    Reported-by: Adam Jackson <ajax@redhat.com>
    Reviewed-by: Adam Jackson <ajax@redhat.com>
    Signed-off-by: Jakob Bornecrantz <jakob@vmware.com>

commit 0825d98744b20a20af7bd81d347334ab4a1de015
Author: Jakob Bornecrantz <jakob@vmware.com>
Date:   Sat Aug 9 00:19:17 2014 +0200

    vmware/vmwgfx: Fix compilation issue on older X servers
    
    Introduced in 268307 "Add support for server managed fds"
    
    Signed-off-by: Jakob Bornecrantz <jakob@vmware.com>
    Reviewed-by: Brian Paul <brianp@vmware.com>

commit 0a212afefd8670a1823c9b6474de8bf26d33bdeb
Author: Jakob Bornecrantz <jakob@vmware.com>
Date:   Fri Aug 8 21:37:38 2014 +0200

    vmware/legacy: Fix uninitialized values in video commands
    
    Fixed bug where video stopped working on systems that didn't have the new kms
    enabled kernel driver installed. Found on CentOS 6.4.
    
    After updating the register header SVGA_VIDEO_NUM_REGS value got upped by two
    in order to support GMR and Screen Objects. Since this path is mostly used
    on older hosts that may not support them, don't send them at all.
    
    Signed-off-by: Jakob Bornecrantz <jakob@vmware.com>
    Reviewed-by: Brian Paul <brianp@vmware.com>

commit 0a596fd0c92fdcf73071869a59029263a2596018
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Wed Jul 2 14:21:45 2014 +0200

    vmware/vmwgfx: Fix an error path segfault
    
    Part of freedesktop.org bugzilla bug #80645
    If taking a scanout reference on a pixmap fails, the
    struct vmwgfx_screen_entry::pixmap pointer must be set to NULL, otherwise
    the driver will incorrectly attempt to remove the scanout reference in the
    error path, causing a segfault.
    
    This problem is seen in the above-mentioned bug, but it is not the root
    cause of the problem. With this patch applied, the server will terminate
    cleanly instead of segfaulting.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit 4e378a730d2d2deffc915af2a3d013d2a994a1b0
Author: Jakob Bornecrantz <jakob@vmware.com>
Date:   Wed May 21 11:52:29 2014 +0200

    vmware/legacy: Apply same fix to auto colorkey fill
    
    Signed-off-by: Jakob Bornecrantz <jakob@vmware.com>
    Reviewed-by: Thomas Hellström <thellstrom@vmware.com>

commit 82c9b0c1d34459c568d004521e3f35a69f5d7ae3
Author: Jakob Bornecrantz <jakob@vmware.com>
Date:   Wed May 21 11:51:46 2014 +0200

    vmware/vmwgfx: Fix auto colorkey fill usage
    
    Signed-off-by: Jakob Bornecrantz <jakob@vmware.com>
    Reviewed-by: Thomas Hellström <thellstrom@vmware.com>

commit 43e043868fbd74e28cd392a3665b36abdfe87de0
Author: Jakob Bornecrantz <jakob@vmware.com>
Date:   Wed May 21 11:54:48 2014 +0200

    vmware/vmwgfx: A bit more error logging when handling cursors
    
    Signed-off-by: Jakob Bornecrantz <jakob@vmware.com>
    Reviewed-by: Thomas Hellström <thellstrom@vmware.com>

commit aa7309254808e27a4ac5d3dc674be179646280b5
Author: Jakob Bornecrantz <jakob@vmware.com>
Date:   Wed May 21 11:54:24 2014 +0200

    vmware/vmwgfx: Don't move cursors without images
    
    Signed-off-by: Jakob Bornecrantz <jakob@vmware.com>
    Reviewed-by: Thomas Hellström <thellstrom@vmware.com>

commit e8d6facf34adf1c601a3afd0a984ce90ad8fe059
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Tue May 20 06:29:19 2014 -0700

    vmware/vmwgfx: Fix xwayland build on newer XA versions
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit 268307e85c06be27345a6808bcf2b3c9887bf8bc
Author: Hans de Goede <hdegoede@redhat.com>
Date:   Tue May 6 16:33:21 2014 +0200

    Add support for server managed fds
    
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit 675fe58eee8acdb302c3501236b86a3289991053
Author: Hans de Goede <hdegoede@redhat.com>
Date:   Tue May 6 16:00:50 2014 +0200

    Add support for XSERVER_PLATFORM_BUS
    
    This is a preparation patch for adding support for server managed fds.
    
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit 88c487cb19aaf2882d582f7f887a52935ef8d92e
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Fri May 9 09:35:59 2014 +0200

    vmware/saa: Disable the noreadback polyfillrect optimization
    
    It causes rendering artefacts with some motif applications due to
    damage area confusion. Until that is sorted out, temporarily disable the
    optimization.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit f31eed4a578784329a7038aa01acaa10a2d0c246
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Thu May 8 09:24:04 2014 +0200

    vmware/vmwgfx: Fix initial dirty region for pixmaps
    
    When storage is attached to pixmaps for the first time the dirty region is
    set to cover either the hardware surface or the software buffer based on
    the presence of the hardware surface.
    
    However, if the storage was created as part of an accelerated operation,
    the dirty region was assigned before the hardware surface was assigned to the
    pixmap, causing the dirty region to incorrectly cover the software buffer.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit 1ed14687a3f1092db8504fb9cf4f446451801665
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Thu Apr 10 14:05:24 2014 +0200

    vmware/vmwgfx: Set desired modes after xMir screen init
    
    While XMir does initial mode configuration, it leaves setting initial
    modes to the DDX driver.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Brian Paul <brianp@vmware.com>

commit 64e0faf1480663a990e0f6aeef7af0e69845af49
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Wed Apr 2 14:05:23 2014 +0200

    vmware/vmwgfx: Don't tell XA that we have a mask when we haven't
    
    In some cases, the X server sends us a composit operation with
    mask_pict != NULL, but mask_pix == NULL. Assume there's no mask
    involved in that case.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Brian Paul <brianp@vmware.com>

commit c062d08a50a26c99a3b8f565a8b2b00e8dc21c3f
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Thu Jan 16 18:27:57 2014 +0100

    vmware/vmwgfx: Don't change backing-store of active scanout surfaces
    
    With option "HwPresents" on, the driver would sometimes change backing
    store of active scanout surfaces, making the kernel module refuse to
    present. This was caused by scanout surfaces not having the RENDERTARGET flag
    on by default. So when rendered to, using copies or composites, they
    would be reallocated. Fix this by adding the RENDERTARGET flag from start.
    
    Also add code that prints out an error message when we change backing store
    of active scanout surfaces
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit c42e1f750629f18144d065b8bba5e2eaf6cbf675
Author: Julien Cristau <jcristau@debian.org>
Date:   Tue Apr 1 10:11:13 2014 +0200

    configure: fix build without xatracker
    
    ACTION-IF-NOT-FOUND is the fourth argument to PKG_CHECK_MODULES, not the
    fifth.
    
    Debian bug#743239 <https://bugs.debian.org/743239>
    
    Reviewed-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>
    Signed-off-by: Julien Cristau <jcristau@debian.org>
    Signed-off-by: Jakob Bornecrantz <jakob@vmware.com>

commit cbd56b3759f01ec18ae0705d023e4c0b2ab38c25
Author: Jakob Bornecrantz <jakob@vmware.com>
Date:   Wed Mar 26 12:45:52 2014 +0100

    Bump the version number to 13.0.2
    
    Signed-off-by: Jakob Bornecrantz <jakob@vmware.com>

commit 51cdfa6f5102bde92c98630ace6650e4b286f6e2
Author: Jakob Bornecrantz <jakob@vmware.com>
Date:   Fri Feb 21 18:10:07 2014 +0100

    vmware: Fix compilation on newer X servers
    
    Found by Bryan Lee. Later versions of X.org turns dispMode pointers
    into const upsetting gcc, turn them into size_t's instead.
    
    Reviewed-by: Thomas Hellstrom <thellstrom@vmware.com>

commit 8da981712f62050076cff53e1b40ed1e307fcca8
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Wed Jan 15 11:04:05 2014 +0100

    vmware/vmwgfx: Always allocate shared hardware surfaces.
    
    Hardware surfaces are all likely to be shared at some point, and we *really*
    don't want to change a hardware surface that is bound as a drm framebuffer.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit 31bff9f7f3d9a68fd1449532e8ab50065de63857
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Thu Jan 9 13:53:59 2014 +0100

    vmware: Require libdrm 2.4.38 to build XMir.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit d6b179a5addef6456325adf241eb8dcaf8e4c3d6
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Thu Jan 9 13:28:22 2014 +0100

    vmware: Fix build errors and warnings
    
    A previous commit and the hosted merge unfortunately brought in some build
    errors / warnings on early X servers.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit f37684e7169b9c0ab23ff748d5acacb65fad82f7
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Tue Jan 7 17:55:49 2014 +0100

    vmwgfx: Block DMA to prime surfaces for now
    
    Since there is currently no _good_ way to get the surface format of a
    prime surface, we block DMA to these surfaces; we don't know if our
    software data is compatible with the surface format.
    
    This patch also makes sure that there is a hardware surface backing the
    drawable we copy from.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Brian Paul <brianp@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit 97ce302ddd6e86397ea56ea9089b9549af73c3ac
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Mon Jan 6 12:37:36 2014 +0100

    vmwgfx: Enable direct dmas
    
    Enable direct dmas instead of using the xa-provided dma functionality.
    This saves a bounce-buffer software copy of all dma'd contents.
    
    This also implies that all drawables with mixed software / hardware contents
    will use a kernel buffer for software rendering.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Brian Paul <brianp@vmware.com>

commit fd636e39a3f32a6dcd107c370513d8cb9aae26c2
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Mon Dec 16 06:21:09 2013 -0800

    vmwgfx: Add support for XWayland
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Brian Paul <brianp@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit c020923597d3bc30dffa89ba0a47f3b9517dd5fb
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Mon Dec 16 06:13:25 2013 -0800

    vmwgfx: Add support for XMir v2.
    
    Use the hosted infrastructure to add support for XMir.
    Helpers go in vmwgfx_saa.c.
    
    v2: Added comments for the helpers, and added a
    vmwgfx_flush_dri2 to be executed when coming back from vt switch.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Brian Paul <brianp@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit c8e1c498431b1f8758f62c94131c302cf3d07b39
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Mon Dec 16 06:05:35 2013 -0800

    vmwgfx: Add an infrastructure to be able to run hosted under a compositor v2
    
    Figure out what's needed both for XMir and XWayland and make a common
    driver structure out of it.
    
    v2: Added a lot of comments. No code change.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Brian Paul <brianp@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit f45a551e9b70ccec8f92df02747d4e2af299cf8c
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Mon Dec 16 10:38:21 2013 +0100

    vmwgfx: Fix compile breakage on XA version 1.
    
    A recent revert brought back code that assumed XA version 2.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: trivial

commit 93228f3dd3355a25583d22dbb96791678b93be3e
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Wed Dec 11 06:54:02 2013 -0800

    vmwgfx: Really allow XA version 2.
    
    When XA starts to correctly advertise version 2, we didn't allow it.
    Fix this.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit 4af6062ce281a7f4aaa50985fe757e9569208ee1
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Wed Dec 11 04:59:49 2013 -0800

    Revert "vmwgfx: Get rid of device-specific DMA code"
    
    This reverts commit 45b2457516a9db4bd1d60fbb24a1efbe2d9dd932.
    
    Reverting this because using direct DMA for shared pixmaps should
    boost performance. It should be usable both in a composited environment
    and when running hosted. Need to retest the DMA flaws I saw before disabling
    this code.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit c36cbcefb8526944141eb431e1e736dc4485a36e
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Mon Dec 9 00:19:55 2013 -0800

    vmwgfx: Remove stray 1
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit a40cbd7b4fa19219849b4b0a48f07538772c3e22
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Thu Dec 5 02:58:47 2013 -0800

    vmwgfx: Support also XA version 1 v2
    
    We need to support also XA version 1, since we want to be backwards
    compatible with older mesa releases.
    Unfortunately, the intended way of detecting XA major version at
    compile-time was broken on mesa 10 so we need a workaround that tests
    for XA version 2 at config time.
    
    v2: Update the test for XA version 2.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit 7ac45326eccbf3bea9a4a8f95b9662a36ab58eb0
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Thu Nov 28 02:02:20 2013 -0800

    vmwgfx: Fix some compilation warnings and indentations
    
    Most of the compilation warnings we're seeing are due to bad xorg headers,
    but fix the ones we can fix in the driver. Some indentation fixes as well.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit e26dec8f5278df74a102493bf6d2d8444dab5d6d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 28 18:21:29 2013 -0400

    vmwgfx: handle changes of DamageUnregister API in 1.14.99.2
    
    Fix is inspired from the intel driver.
    
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Jakob Bornecrantz <jakob@vmware.com>

commit 45b2457516a9db4bd1d60fbb24a1efbe2d9dd932
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Wed Sep 19 21:50:40 2012 +0200

    vmwgfx: Get rid of device-specific DMA code
    
    It's rarely used and things seem to work well enough on top of XA.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Zack Rusin <zackr@vmware.com>

commit 7192acf9f0bf8e7176ab0b803b861a858623f709
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Wed Sep 19 20:36:57 2012 +0200

    vmwgfx: Implement textured video completely on top of XA.
    
    Remove device-specific hacks. This may increase resource usage a little
    on old hardware revisions, but we don't need separate code paths on
    different hardware revisions.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Zack Rusin <zackr@vmware.com>

commit 835ce4698f916ba080f4132988fd4caf898e0b1e
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Thu Sep 26 01:25:33 2013 -0700

    vmwgfx: Avoid HW operations when not master
    
    Note that for DRI2, a dri2_copy_region becomes a NOP when not master.
    Additionally, all dri2 operations that lead to a potential kernel
    access will return FALSE.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit 0945bea5fc32eacb7bf42639efbd45dcd43e7ab5
Author: Rob Clark <robdclark@gmail.com>
Date:   Mon Jun 10 13:31:31 2013 -0400

    vmwgfx: update for XA API changes
    
    Signed-off-by: Rob Clark <robdclark@gmail.com>
    Signed-off-by: Jakob Bornecrantz <jakob@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>
    Tested-by: Jakob Bornecrantz <jakob@vmware.com>

commit b3345886332ee2b9fd1348dc2cd36257dfd71986
Author: Jakob Bornecrantz <jakob@vmware.com>
Date:   Wed Apr 17 12:03:32 2013 +0200

    Bump the version number to 13.0.1

commit d13a6334fe76f4e869b2cb8c0a6a13c185b1bedd
Author: Loïc Yhuel <loic.yhuel@gmail.com>
Date:   Thu Apr 11 11:29:10 2013 +0200

    vmwgfx: Use myGlyphs to fix crashes
    
    Tested-by: Christian Hesse <mail@eworm.de>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>
    Signed-off-by: Loïc Yhuel <loic.yhuel@gmail.com>
    Signed-off-by: Jakob Bornecrantz <jakob@vmware.com>

commit 23d87c92b7211cc5249eefe4ab3a2c7f370e279e
Author: Zack Rusin <zackr@vmware.com>
Date:   Thu Feb 14 14:33:01 2013 -0800

    Kill mibstore
    
    It was a noop for at least 5 years and it has been removed.
    
    Signed-off-by: Zack Rusin <zackr@vmware.com>

commit 686859fba16ed2616c38bbe5d4e38abf4c5b7ae9
Author: Zack Rusin <zackr@vmware.com>
Date:   Tue Jan 15 12:05:45 2013 -0800

    Bump the version number to 13.0.0
    
    New abi and various fixes
    
    Signed-off-by: Zack Rusin <zackr@vmware.com>

commit adf375f3d400e51b1e445e89de6bd82be0bb4ef3
Author: Zack Rusin <zackr@vmware.com>
Date:   Thu Dec 6 16:40:13 2012 -0500

    xf86-video-vmware 12.0.99.901
    
    Internal release for a round of QE testing
    
    Signed-off-by: Zack Rusin <zackr@vmware.com>

commit 007bed30270ca9548dfe6e359972b56cbb8e2f13
Author: Jakob Bornecrantz <jakob@vmware.com>
Date:   Tue May 29 23:01:14 2012 +0200

    vmwgfx: Guard against null rotate pixmap in shadow destroy
    
    Reviewed-by: Thomas Hellström <thellstrom@vmware.com>
    Signed-off-by: Jakob Bornecrantz <jakob@vmware.com>

commit e5ac80d8f72963313358e31cfb1ab98583e26f23
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 3 13:50:30 2012 +0100

    vmware: avoid warnings about shadowing 'i'
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 46c0862d205eefa985e36a74391ca392640cb898
Author: Dave Airlie <airlied@redhat.com>
Date:   Sat Jun 16 14:43:52 2012 +0100

    vmware: drop infoFromScreen inline in favour of new interface
    
    This also should fix the build regression introduced with the fix
    for this macro.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 50c01998c7800bc02fd6656cc14efa715bf63e08
Author: Robert Hooker <sarvatt@ubuntu.com>
Date:   Fri Jun 15 11:56:59 2012 -0400

    vmware: Fix up some warnings after new compat API change.
    
    Fixes multiple instances of these warnings on x86_64:
    ../../src/vmware.h:180:5: warning: implicit declaration of function 'xf86ScreenToScrn' [-Wimplicit-function-declaration]
    ../../src/vmware.h:180:5: warning: nested extern declaration of 'xf86ScreenToScrn' [-Wnested-externs]
    ../../src/vmware.h:180:5: warning: return makes pointer from integer without a cast [enabled by default]
    Function `xf86ScreenToScrn' implicitly converted to pointer at ../../src/vmware.h:180
    
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>
    Signed-off-by: Robert Hooker <sarvatt@ubuntu.com>
    Signed-off-by: Jakob Bornecrantz <jakob@vmware.com>

commit 61df95a86f4997e342d50d7779b00aba2e8849a6
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Jun 6 09:58:01 2012 +0100

    vmware: port vmware driver to new compat API
    
    This is a port of the vmware driver to the new compat API.
    
    Tested-by: Jakob Bornecrantz <jakob@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>
    Signed-off-by: Jakob Bornecrantz <jakob@vmware.com>

commit 46cdf0ed0ad9df66f36f95e27b209d454f67d526
Author: Brian Paul <brianp@vmware.com>
Date:   Fri Apr 20 14:24:26 2012 -0600

    vmwgfx: set the XA_FLAG_SHARED flag for composite dest surfaces
    
    This fixes a failed assertion in the gallium/svga driver in the
    svga_texture_get_handle() function.  The texture resource wasn't
    getting created with the PIPE_BIND_SHARED flag so the !cachable
    assertion would fail and the X session would abort.  This didn't
    happen with release builds.
    
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit 4d76cfe5e8e5d594ec357b0ef3339f56eeca9c64
Author: Jakob Bornecrantz <jakob@vmware.com>
Date:   Tue Mar 20 22:05:30 2012 +0100

    Bump version number for the release
    
    Signed-off-by: Jakob Bornecrantz <jakob@vmware.com>

commit c6f27561c7cf7c30f89493d64e3c5694b5f53469
Author: Jakob Bornecrantz <jakob@vmware.com>
Date:   Mon Mar 19 14:53:34 2012 +0100

    vmware/legacy: Fix crash on Xserver 1.12.0
    
    Signed-off-by: Jakob Bornecrantz <jakob@vmware.com>
    Reviewed-by: Zack Rusin <zackr@vmware.com>

commit b70116b907aa8545f0275589a52275235083bb40
Author: Zack Rusin <zackr@vmware.com>
Date:   Thu Mar 15 11:37:26 2012 -0400

    Fix a memory corruption due to a redundant free.
    
    We use the empty rect purely as a placeholder and never
    initialize it with its own memory so lets not try to free
    it.
    Spotted by Dave Airlie.
    
    Signed-off-by: Zack Rusin <zackr@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit 57f1204292a116b35d5930752bc06f9065332879
Author: Jakob Bornecrantz <jakob@vmware.com>
Date:   Tue Mar 13 21:41:11 2012 +0100

    Bump version number for the release
    
    Signed-off-by: Jakob Bornecrantz <jakob@vmware.com>

commit e585f9ea04bbd17398d2fa804be38a4e75bc60e4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Mar 13 09:44:46 2012 -0400

    config: move AC_SYS_LARGEFILE in autoconf init section
    
    There is no need for this statement to be conditionally included.
    It adds support for large files without taking anything away.
    
    http://www.gnu.org/software/autoconf/manual/autoconf.html
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Jakob Bornecrantz <jakob@vmware.com>

commit 04169f3860e4a7d03485631bee40c05fc45b72c6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 12 14:51:38 2012 -0400

    config: include saa and vmwgfx subdirs in the tarball
    
    Use AM_CONDITIONAL. Automake knows what to distribute.
    It needs to be able to navigate down the subdirs to find what
    needs to be included in the tarball.
    
    To test reliably, create a tarball and expand it into a separate
    directory and build with xatracker. Distcheck will not detect
    missing code when such code is configured not to build.
    
    The content of a tarball *must* always be identical, regardless
    of the configuration options used or on which platform it was configured.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Jakob Bornecrantz <jakob@vmware.com>

commit e6836ff099e5565dea58a53bba9b2df377241ef7
Author: Zack Rusin <zackr@vmware.com>
Date:   Thu Mar 8 09:55:07 2012 -0500

    Bump version number for the release
    
    Signed-off-by: Zack Rusin <zackr@vmware.com>

commit c5c38bab8c493985349356be5fadc14d3aee8040
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Wed Feb 8 15:00:20 2012 +0100

    vmware/legacy: Fix initial mode size v2
    
    Commit "vmwlegacy: Make the default be a minium of 800x600..."
    read the dimensions from the incorrect register pair.
    
    v2: Also treat initial widths and heights larger than the maximum
    values as an error and revert back to the minimum.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit 49b4cbc5100ce9a4cc40132c2839f9401a58b92e
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Mon Feb 6 19:48:57 2012 +0100

    saa: Try to avoid readbacks during polyFillRect
    
    This significantly improves performance of shaped windows on top of 3D
    contents
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>
    Reviewed-by: Zack Rusin <zackr@vmware.com>

commit ecf6c5b1081e70ec64132a8188c8cc15945c2290
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Thu Feb 2 10:24:26 2012 +0100

    vmware: Kill warnings on Xserver 1.12
    
    Compile-tested on servers 1.0 through 1.12.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>

commit 3e18d43c7f8ab5dcb94ac285a687eaaa1a578250
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Wed Feb 1 17:30:52 2012 +0100

    vmwgfx: Kill a deprecation warning on server 1.12
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>

commit bfb286bea967c26426aebda2a581f35da0d86884
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Wed Feb 1 17:25:19 2012 +0100

    vmwgfx: Fix up swap[sl] for server 1.12
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>

commit 8ff19c2b2f288d6851b444dbda39544980837b73
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Wed Feb 1 16:59:13 2012 +0100

    vmwgfx: Avoid including a library header and use pixman for type conversion
    
    The PictTransform type is a typedef of a pixman type.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>

commit 193b5118199028ea0180785bb3f4c8a16359b8b0
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Fri Jan 13 17:01:02 2012 +0100

    Bump version number for release
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit c5af120177949c82cbd0611da565fef9c2c829cb
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Fri Jan 13 17:14:47 2012 +0100

    Make the driver build pass "make distcheck"
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit e6d03aceb1195de0b490f39024f34a33b1a8f6fc
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Thu Jan 12 14:00:41 2012 +0100

    vmwgfx: Adapt to new XA version number v2
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit 59435d2d3af8a9f64ee40eac4f0479470ba6badf
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Thu Jan 12 17:57:37 2012 +0100

    vmwgfx,saa: Fix a bunch of compilation warnings
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit 0628ad20f31a239f99fcbbfe42197c56a5ae8864
Author: Jakob Bornecrantz <jakob@vmware.com>
Date:   Fri Dec 9 07:34:58 2011 +0100

    vmwlegacy: Make the default be a minimum of 800x600
    
    This patch and the corresponding vmwgfx patch formalizes both drivers
    on the same behviour. The minimum is 800x600 (unless the max size is
    smaller). This makes it unnecessary to check against VRAM size since
    it is always at least large enough to fit the max values.
    
    Signed-off-by: Jakob Bornecrantz <jakob@vmware.com>

commit 8ddbb3216d29b2ecd336d50461216feef0900fd9
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Thu Jan 12 10:00:41 2012 +0100

    vmware: Make sure the driver builds on old servers
    
    Move things around a bit so the driver compiles with
    servers back to Xserver 1.0.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit 194ff6f1517d0a8250e64c3d768a9b7ae9ed3140
Author: Thomas Hellström <thellstrom@vmware.com>
Date:   Wed Jan 11 14:49:56 2012 +0100

    vmware: Update Manpage
    
    Update the Manpage with new options and a brief modesetting- and 3D
    description.
    
    Signed-off-by: Thomas Hellström <thellstrom@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit b5546fb1de3f3859151a91e98ab0bd24b6789e2e
Merge: abf9cb7 5748c33
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Mon Dec 19 20:25:43 2011 +0100

    Merge branch 'vmwgfx_branch'

commit 5748c33535bc7d3009b9758653885e6ae0e73002
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Wed Dec 14 12:38:27 2011 +0100

    saa, vmwgfx: Fix saa_copy_composite
    
    The traditional accelerated copy methods aren't format aware.
    Make saa copy format aware,and pass formats on to the driver copy function
    if available. If the driver can't handle format conversions it needs to
    return FALSE.
    
    This fixes format confusion in the copy composite fastpath.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
[--snip--]
